开发者社区> 问答> 正文

php框架Zend Framework2的问题,库文件在eclipse中报错

目前正在学习Zend Framework2,按照官方文档已经将ZendSkeletonApplication例子跑通了,就像用eclipse来做开发,可是将项目导入到eclipse,库文件竟然报错,不知道哪位大侠遇到过这种问题啊。下面的图片就是几个例子
screenshot
screenshot
screenshot

展开
收起
爵霸 2016-06-06 11:11:19 2223 0
1 条回答
写回答
取消 提交回答
  • 很明显是对PHP5.3+的 命名空间(namespace)支持不好。

    要么你的IDE版本过低,要么你项目的版本设置过低。

    同样建议你用 netbeans 7.3,舒服

    2019-07-17 19:27:57
    赞同 展开评论 打赏
问答排行榜
最热
最新

相关电子书

更多
阿里云栖开发者沙龙PHP技术专场-直面PHP微服务架构挑战-高驰涛 立即下载
PHP安全开发:从白帽角度做安全 立即下载
PHP 2017.北京 全球开发者大会——高可用的PHP 立即下载

相关镜像